Bug 980487 - jboss-cli.sh missing from AS/EAP cartridges
jboss-cli.sh missing from AS/EAP cartridges
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks: 886156
  Show dependency treegraph
 
Reported: 2013-07-02 10:03 EDT by Bill DeCoste
Modified: 2015-05-14 19:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:19:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2013-07-02 10:03:48 EDT
Description of problem:jboss-cli.sh should be added to the cartridge and installed in the gear in the gear's bin dir with the proper classpath so can be executed by the user.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Create AS/EAP instance
2. 
3.

Actual results:
jboss-cli.sh missing

Expected results:
jboss-cli.sh available


Additional info:
Comment 1 Dan Mace 2013-07-10 11:22:55 EDT
The jboss-cli.sh script is now packaged, supported, and documented by the jboss-* cartridges as of https://github.com/openshift/origin-server/pull/3038.

See the cartridge README.md files for details.
Comment 2 openshift-github-bot 2013-07-10 12:49:55 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/5f6dc4c4236b8892ae8849a40c73ad41bcd430ac
Bug 980487: Add jboss-cli.sh to the jboss* cartridges
Comment 3 Meng Bo 2013-07-11 04:15:37 EDT
Checked on devenv_3482 for both jbossas and jbosseap,

1. PATH for jboss-cli.sh will be added.
> env|grep tools
OPENSHIFT_JBOSSEAP_PATH_ELEMENT=/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/51de67e736ff800a0000000f/jbosseap//bin/tools
PATH=/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/51de67e736ff800a0000000f/jbosseap//bin/tools:/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/51de67e736ff800a0000000f/jbosseap//bin/tools::/bin:/usr/bin:/usr/sbin
[jbeap1-bmeng.dev.rhcloud.com 51de67e736ff800a0000000f]\> jboss-cli.sh -c --controller=$OPENSHIFT_JBOSSEAP_IP:9999

> env|grep tool
PATH=/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/23783c5ce9fd11e29af122000a8a0ade/jbossas//bin/tools:/var/lib/openshift/23783c5ce9fd11e29af122000a8a0ade/haproxy/usr/bin:/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/23783c5ce9fd11e29af122000a8a0ade/jbossas//bin/tools::/bin:/usr/bin:/usr/sbin
OPENSHIFT_JBOSSAS_PATH_ELEMENT=/etc/alternatives/java_sdk_1.7.0/bin:/etc/alternatives/maven-3.0/bin:/var/lib/openshift/23783c5ce9fd11e29af122000a8a0ade/jbossas//bin/tools

2. jboss-cli.sh can connect to the jboss instance.
> jboss-cli.sh -c --controller=$OPENSHIFT_JBOSSAS_IP:9999
[standalone@127.0.252.129:9999 /] 

> jboss-cli.sh -c --controller=$OPENSHIFT_JBOSSEAP_IP:9999
[standalone@127.0.254.1:9999 /]

Note You need to log in before you can comment on or make changes to this bug.